function openCC() {
    var ioservice = Components.classes["@mozilla.org/network/io-service;1"]
                              .getService(Components.interfaces.nsIIOService);
    var uriToOpen = ioservice.newURI("http://creativecommons.org/licenses/by-nc/2.0/fr/", 'CreativeCommons', null);
    var extps = Components.classes["@mozilla.org/uriloader/external-protocol-service;1"]
                          .getService(Components.interfaces.nsIExternalProtocolService);
    extps.loadURI(uriToOpen, null);
}
